StarObjectTextInternal::GraphZone Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
StarObjectTextInternal::GraphZone Struct Referencefinal

Internal: a graphZone of StarObjectTextInteral. More...

Inheritance diagram for StarObjectTextInternal::GraphZone:

## Public Member Functions
| GraphZone (std::shared_ptr< STOFFOLEParser > &oleParser)
| constructor More...
bool | send (STOFFListenerPtr &listener, StarState &state) const final
| try to send the data to a listener More...
Public Member Functions inherited from StarObjectTextInternal::Zone
| Zone ()
| constructor More...
virtual | ~Zone ()
| destructor More...
virtual bool | send (STOFFListenerPtr &listener, StarState &state) const =0
| try to send the data to a listener More...
virtual void | inventoryPage (StarState &) const
| try to inventory the different pages More...

## Public Attributes
std::shared_ptr< STOFFOLEParser > | m_oleParser
| the ole parser More...
librevenge::RVNGString | m_names [3]
| the graph name, the fltName, the replace text More...
std::vector< StarWriterStruct::Attribute > | m_attributeList
| the attributes list More...
StarGraphicStruct::StarPolygon | m_contour
| the contour(useme) More...

## Detailed Description

Internal: a graphZone of StarObjectTextInteral.

## Constructor & Destructor Documentation

## ◆ GraphZone()

StarObjectTextInternal::GraphZone::GraphZone | ( | std::shared_ptr< STOFFOLEParser > & | oleParser | ) |
| inlineexplicit

constructor

## Member Function Documentation

## ◆ send()

bool StarObjectTextInternal::GraphZone::send | ( | STOFFListenerPtr & | listener,
|  | StarState & | state
| ) |  | const
| finalvirtual

try to send the data to a listener

Implements StarObjectTextInternal::Zone.

## Member Data Documentation

## ◆ m_attributeList

std::vector<StarWriterStruct::Attribute> StarObjectTextInternal::GraphZone::m_attributeList

the attributes list

## ◆ m_contour

StarGraphicStruct::StarPolygon StarObjectTextInternal::GraphZone::m_contour

the contour(useme)

## ◆ m_names

librevenge::RVNGString StarObjectTextInternal::GraphZone::m_names[3]

the graph name, the fltName, the replace text

Referenced by send().

## ◆ m_oleParser

std::shared_ptr<STOFFOLEParser> StarObjectTextInternal::GraphZone::m_oleParser

the ole parser

Referenced by send().

The documentation for this struct was generated from the following file:

- StarObjectText.cxx